Subject: Re: [PATCH 1/5] bpf: correct broken uapi for BPF_PROG_TYPE_PERF_EVENT program type

From: Hendrik Brueckner <[email-masked]>
Date: Mon, 4 Dec 2017 09:34:42 +0100

Hi Alexei,

On Sun, Dec 03, 2017 at 09:51:10AM -0800, Alexei Starovoitov wrote:
> On Fri, Dec 01, 2017 at 03:19:04PM +0100, Hendrik Brueckner wrote:
> > --- a/include/uapi/linux/bpf_perf_event.h
> > +++ b/include/uapi/linux/bpf_perf_event.h
> > @@ -8,11 +8,10 @@
> >  #ifndef _UAPI__LINUX_BPF_PERF_EVENT_H__
> >  #define _UAPI__LINUX_BPF_PERF_EVENT_H__
> >  
> > -#include <linux/types.h>
> > -#include <linux/ptrace.h>
> > +#include <asm/bpf_perf_event.h>
> >  
> >  struct bpf_perf_event_data {
> > -	struct pt_regs regs;
> > +	bpf_user_pt_regs_t regs;
> >  	__u64 sample_period;
> >  };
> 
> Thank you for working on this problem.
> The fix looks great to me.

Thank you.

> While applying it I noticed few nits:
> Applying: selftests/bpf: sync kernel headers and introduce arch support in Makefile
> /w/bpf/.git/rebase-apply/patch:253: trailing whitespace.
>         freg_t  fprs[NUM_FPRS];
> /w/bpf/.git/rebase-apply/patch:262: trailing whitespace.
> typedef struct
> /w/bpf/.git/rebase-apply/patch:439: trailing whitespace.
>         } lowcore;
> /w/bpf/.git/rebase-apply/patch:490: trailing whitespace.
> } ptprot_area;
> warning: 4 lines add whitespace errors.
> 
> Could you please fix those and resubmit ?

Sure will do.  For that I have to add a clean-up patch for the s390 ptrace.h
uapi header.

> With that fixed feel free to add my
> Acked-by: Alexei Starovoitov <[email-masked]>
> to the patches.

Thank you very much, will do!

> I've tested it on arm64 and don't see any issues.

I got a nice message from the build bot, I have some more work on that.
So will respin the series, add you Acked-by, and sent a v2 around.

> When resubmitting could you please reduce cc-list, since this set
> went into spam folder for me and I noticed it only in patchworks.

Will do... I just used what get_maintainers.pl told me :)